package com.supervision.knowsub.vo.flow;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class FlowInfoResVo {

    @Schema(description = "流程id")
    private String id;

    @Schema(description = "流程名称")
    private String flowName;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "创建人id")
    private String createUserId;

    @Schema(description = "创建人姓名")
    private String createUserName;

    @Schema(description = "创建时间")
    private Date createTime;
}
