package com.supervision.knowsub.vo.user;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@Data
public class LoginResVO {

    @Schema(description = "主键")
    private String id;

    @Schema(description = "用户账户")
    private String account;

    @Schema(description = "用户名称")
    private String username;

    @Schema(description = "用户角色编码，0管理员 1普通用户(学生) 2运营人员(配置)")
    private String roleId;

    @Schema(description = "token")
    private String token;

    private static final long serialVersionUID = 1L;
}
