package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.entity.vo.knowledge.KnowledgeDetailResVO;
import com.supervision.knowsub.entity.vo.knowledge.ModifyKnowledgeReqVO;
import com.supervision.knowsub.entity.vo.knowledge.SaveKnowledgeReqVO;
import com.supervision.knowsub.model.Knowledge;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.time.LocalDateTime;

public interface KnowledgeManageService {

    IPage<Knowledge> queryKnowledgePage(Integer status,
                                        String title,
                                        String publishDeptId,
                                        String baseId,
                                        String submittedDeptId,
                                        LocalDateTime publishDateBegin,
                                        LocalDateTime publishDateEnd,
                                        Integer pageNum, Integer pageSize);

    void saveKnowledge(SaveKnowledgeReqVO reqVO);

    void updateKnowledge(ModifyKnowledgeReqVO reqVO);

    void recallKnowledge(String knowledgeId,String remark);

    KnowledgeDetailResVO queryKnowledgeDetail(String knowledgeId);

    void deleteKnowledge(String knowledgeId,String remark);
}
