package com.supervision.knowsub.vo.flow;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class FlowInfoReqVo {

    @Schema(description = "流程名称")
    private String flowName;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "数据类型集合 1知识报送 2:知识撤回 3 知识删除")
    private List<Integer> flowTypeList;

    @Schema(description = "应用库id集合")
    private List<String> baseIdList;


    @Schema(description = "流程id,集合需要与页面顺序保持一致")
    private List<NodeInfo> nodeInfoList;


}
