package com.supervision.knowsub.vo.knowledge;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema
public class KnowledgeFlowResVO {

    @Schema(description = "待办ID")
    private String todoId;
    @Schema(description = "流程ID")
    private String flowId;
    @Schema(description = "知识ID")
    private String knowledgeId;
    @Schema(description = "标题")
    private String title;
    @Schema(description = "审批类型 1知识报送 2:知识撤回 3 知识删除")
    private String flowType;
    @Schema(description = "提交部门名称")
    private String submitDeptName;
    @Schema(description = "提交人名称")
    private String submitUserName;
    @Schema(description = "知识来源 1人工提报")
    private String knowledgeFrom;


}
